package com.ruoyi.project.intact.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.project.intact.domain.TIntactPump;
import com.ruoyi.project.intact.mapper.TIntactGjMapper;
import com.ruoyi.project.intact.mapper.TIntactPumpMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.intact.mapper.TIntactGylMapper;
import com.ruoyi.project.intact.domain.TIntactGyl;
import com.ruoyi.project.intact.service.ITIntactGylService;

/**
 * 设备完整性工业炉台账Service业务层处理
 *
 * @author ruoyi
 * @date 2022-06-21
 */
@Service
public class TIntactGylServiceImpl extends ServiceImpl<TIntactGylMapper, TIntactGyl> implements ITIntactGylService
{
    @Autowired
    private TIntactGylMapper tIntactGylMapper;

    /**
     * 查询设备完整性工业炉台账
     *
     * @param id 设备完整性工业炉台账ID
     * @return 设备完整性工业炉台账
     */
    @Override
    public TIntactGyl selectTIntactGylById(Long id)
    {
        return tIntactGylMapper.selectTIntactGylById(id);
    }

    /**
     * 查询设备完整性工业炉台账列表
     *
     * @param tIntactGyl 设备完整性工业炉台账
     * @return 设备完整性工业炉台账
     */
    @Override
    public List<TIntactGyl> selectTIntactGylList(TIntactGyl tIntactGyl)
    {
        return tIntactGylMapper.selectTIntactGylList(tIntactGyl);
    }

    /**
     * 新增设备完整性工业炉台账
     *
     * @param tIntactGyl 设备完整性工业炉台账
     * @return 结果
     */
    @Override
    public int insertTIntactGyl(TIntactGyl tIntactGyl)
    {
        return tIntactGylMapper.insertTIntactGyl(tIntactGyl);
    }

    /**
     * 修改设备完整性工业炉台账
     *
     * @param tIntactGyl 设备完整性工业炉台账
     * @return 结果
     */
    @Override
    public int updateTIntactGyl(TIntactGyl tIntactGyl)
    {
        return tIntactGylMapper.updateTIntactGyl(tIntactGyl);
    }

    /**
     * 批量删除设备完整性工业炉台账
     *
     * @param ids 需要删除的设备完整性工业炉台账ID
     * @return 结果
     */
    @Override
    public int deleteTIntactGylByIds(Long[] ids)
    {
        return tIntactGylMapper.deleteTIntactGylByIds(ids);
    }

    /**
     * 删除设备完整性工业炉台账信息
     *
     * @param id 设备完整性工业炉台账ID
     * @return 结果
     */
    @Override
    public int deleteTIntactGylById(Long id)
    {
        return tIntactGylMapper.deleteTIntactGylById(id);
    }
}
